# AddressX64 in riscv::addr - Rust
API documentation for the Rust `AddressX64` trait in crate `riscv`.
Keywords: rust, rustlang, rust-lang, AddressX64

# Trait riscv::addr::AddressX64

source · [−]

    pub trait AddressX64: Address {
        fn new_u64(addr: u64) -> Self;
        fn as_u64(&self) -> u64;
    }

## Required methods

source

#### fn new_u64(addr: u64) -> Self

source

#### fn as_u64(&self) -> u64

## Implementors

source

### impl AddressX64 for GPAddrSv32X4

source

### impl AddressX64 for GPAddrSv39X4

source

### impl AddressX64 for GPAddrSv48X4

source

### impl AddressX64 for PhysAddrSv32

source

### impl AddressX64 for PhysAddrSv39

source

### impl AddressX64 for VirtAddrSv39

source

### impl AddressX64 for PhysAddrSv48

source

### impl AddressX64 for VirtAddrSv48